#27 Support for usb tabletpc

Next_Release
closed
None
5
2008-10-29
2006-11-09
No

New models of tabletpc use the usb bus to conect the
wacom tablet. An example of such model is the asus
R1F model.

The current wacom driver (Nov. 2006) does not support
this models of tabletpc.

Please could you add support for usb tabletpc to the
wacom driver.

J. I. Burgos

Discussion

<< < 1 2 3 4 5 6 > >> (Page 4 of 6)
  • Zappacky

    Zappacky - 2008-04-18

    Logged In: YES
    user_id=1039856
    Originator: NO

    ianmacarthur: Wow, you managed to sneak a reply in while I was typing my last reply.

    Probably a good idea not to depend on event device numbers, I just do so on mine because I very rarely have any extra devices that would be plugged in at boot time. I like the entry to map the side button, its much more convenient than xsetwacom every time :P.

     
  • Ralph Müller-Welt

    Logged In: YES
    user_id=692677
    Originator: NO

    Findings so far.
    Here on my Asus R1F, Kubuntu Gutsy Gibbon 7.10,
    Linux r1f 2.6.22-14-generic #1 SMP Tue Feb 12 07:42:25 UTC 2008 i686 GNU/Linux
    with Bus 004 Device 005: ID 056a:0090 Wacom Co., Ltd
    using linuxwacom-0.7.9-11 and new f3d5b9e73.patch and my previous posted 2.6.22 backport patch.

    patching with f3d5b9e73, then with 2.6.22 backport patch -> OK
    Configureing -> OK
    Makeing -> OK
    Installing -> runs ok, but have to manually
    $ sudo cp src/2.6.22/wacom.ko /lib/modules/2.6.22-14-generic/kernel/drivers/input/tablet/wacom.ko
    and when loading module i get
    $ dmesg | grep wac
    [ 13.432000] /home/ralph/bin/Source/linuxwacom/linuxwacom-0.7.9-11/src/2.6.22/wacom_sys.c: Got bad report from TabletPC, may not work properly
    [ 13.432000] usbcore: registered new interface driver wacom
    [ 13.432000] /home/ralph/bin/Source/linuxwacom/linuxwacom-0.7.9-11/src/2.6.22/wacom_sys.c: v1.46-pc0.2:USB Wacom Graphire and Wacom Intuos tablet driver

    Using the Xorg.conf from
    Date: 2008-04-18 18:13
    Sender: ianmacarthur
    gives me a working tablet under X but with a growing offset (X & Y) when moving to the bottom right.
    Using wacomcpl to callibrate stylus and eraser works but gives error message
    can't read "getDeviceModel(TabletPCStylus,eraser)": no such element in array
    can't read "getDeviceModel(TabletPCStylus,eraser)": no such element in array
    while executing
    "set eraser $getDeviceModel($device,eraser)"
    (procedure "calibrationSequence" line 56)
    invoked from within
    "calibrationSequence 1 26466 15796"
    But callibration worked.

    In GIMP configure input devices, mode must be set to Screen for Pressure to work.

    In Xournal I touldn't find out how to automagically set the rubber to the eraser and the stylus to pen.

    Thats pretty it. So most things work somehow.

    Q: Zappacky do u want to include the backport patch in your linuxwacom.pastbin.com patches?
    Q: Am i right, thet the R1F has no touchscreen, only tablet?
    Q: What does "Got bad report from TabletPC, may not work properly" mean? It only occures on moduleloading.
    Q: Would TopXY & BottomXY in xorg.conf replace callibration? Testing this later.
    Q: Does anyone know a working online handwriting recognition?
    Q: Is it time to drop WinXP tablet? :-)

    Anyways, thx anyone for your help,
    Ralph.

     
  • Nobody/Anonymous

    Logged In: NO

    Hello help!!!!!arrrrrrghhhhhhhh
    Debian amd64 on tx2000s

    *** WARNING:
    *** Unable to guess kernel source directory
    *** Looked at /lib/modules/2.6.18-6-amd64/source, /lib/modules/2.6.18-6-amd64/build,
    *** /usr/src/linux, /usr/src/linux-2.6.18-6-amd64, /usr/src/linux-2.4, and
    *** /usr/src/linux-2.6
    *** Kernel modules will not be built

     
  • Ian MacArthur

    Ian MacArthur - 2008-04-19

    Logged In: YES
    user_id=772043
    Originator: NO

    @ralphmw:
    "gives me a working tablet under X but with a growing offset (X & Y) when
    moving to the bottom right."
    ... This sounds a bit like what I had when I had my input devices mapped wrongly... If you cat /proc/bus/input/devices (it's a plain text file) and look for the devices with an ID of 56A (the wacom ones) that will tell you the *actual* event queues used - check that this matches the symlinks in /dev/input/* that you have used in your xorg.conf, just in case. Zapacky generally hard-codes his input devices, I think, but I can't do that, mine move around on every reboot, so I have to use the symlinks...

    I don't currently do *any* calibration on mine, it seems to be "close enough" without it. Maybe I just got lucky...

    "Q: Does anyone know a working online handwriting recognition?" - I use cellwriter, but it's not to everyone's taste...

    @nobody:
    Do you have the kernel dev files installed (I think they are called linux-dev or something?) Anyway, it probably isn't going to work for you, as you seem to have kernel 2.6.18 running, and the patch is aimed at 2.6.24 (or with raplhmw's extensions 2.6.22) so you'll need to back-port the wacom_sys.c changes into the latest version prior to 2.6.18 in the liuxwacom source tree.

     
  • Ian MacArthur

    Ian MacArthur - 2008-04-19

    Logged In: YES
    user_id=772043
    Originator: NO

    @ralphmw"
    "Installing -> runs ok, but have to manually
    $ sudo cp src/2.6.22/wacom.ko /lib/modules/2.6.22-14-generic/kernel/drivers/input/tablet/wacom.ko"

    Yes - that may be "normal" under ubuntu. Certainly I have to do that every time too. If you run "sudo depmod -e" after the cp, does that help with the subsequent module loading at all? Or report any errors?

     
  • Zappacky

    Zappacky - 2008-04-20

    Logged In: YES
    user_id=1039856
    Originator: NO

    Alrighty, I'm back from a nice camping trip. Lets try to get some questions answered.

    When you say a growing offset as you move to the bottom right, is it only as you get very close or does it grow over the entire screen? The getDeviceModel error is normal, I get it on mine too and calibration does indeed go through. You're correct about GIMP, and as for Xournal I'm not sure if it can even be done.

    Q: Zappacky do u want to include the backport patch in your
    linuxwacom.pastbin.com patches?

    Absolutely, I'll get those in shortly today. Most distros don't use 2.6.24 based kernels quite yet ;P.

    Q: Am i right, thet the R1F has no touchscreen, only tablet?

    Yes, I believe so. Looking at specs, I only see "Wacom Digitizer", nothing about a touch panel. The driver should work fine anyways.

    Q: What does "Got bad report from TabletPC, may not work properly" mean?
    It only occures on moduleloading.

    During tablet probing, I send a GetReport HID request for 2 bytes that /should/ be [2, 0]. If the device works fine, then the message can be safely disregarded. But I print the message anyways so that any horribly erratic behavior can be quickly attributed to a possibly unsupported device.

    Q: Would TopXY & BottomXY in xorg.conf replace callibration? Testing this
    later.

    Yes. In fact, I currently do so. I ran wacomcpl to calibrate it, then used xsetwacom get <Yadda yadda> to get the new calibration values and stuck em in xorg.conf. Has worked beautifully for me.

    Q: Does anyone know a working online handwriting recognition?

    Cellwriter is the only free one I know of. If you don't like it and are willing to put out ~50 USD, Paragon Software has a program called PenReader that will support what you want. I can't vouch for how good it is since I have never used it, although the online demo seems pretty darn accurate to me.

    Q: Is it time to drop WinXP tablet? :-)

    I personally would like to see screen rotation work a little better, rotating the pen device eats my eraser, and vice versa, although for note taking it works fine, since xournal doesn't like the eraser anyways (and really, neither do I. It's too firm for my liking). As I have said in earlier comments, I believe this to be a core linuxwacom issue, not strictly TABLETPC related.

     
  • Nobody/Anonymous

    Logged In: NO

    Help!Please help! What is this? Arrrrrrghhhhhhh?
    I moved from vista to debian now to fedora 8 x86-64 and I cannot make it work. I get a problem at every step? ARrrrrrrrrrrggggggggh

    [root@HOSTLOCAL linuxwacom-0.7.9-11]# make
    Making all in src
    make[1]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src'
    Making all in .
    make[2]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src'
    make[2]: Nothing to be done for `all-am'.
    make[2]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src'
    Making all in wacomxi
    make[2]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/wacomxi'
    /bin/sh ../../libtool --tag=CC --mode=link gcc -Wall -g -O2 -D__amd64__ -I/usr/include -o libwacomxi.la -rpath /usr/local/lib/TkXInput -no-undefined wacomxi.lo -L/usr/lib64 -lX11 -lXi
    gcc -shared .libs/wacomxi.o -L/usr/lib64 -lX11 -lXi -Wl,-soname -Wl,libwacomxi.so.0 -o .libs/libwacomxi.so.0.0.0
    /usr/bin/ld: cannot find -lXi
    collect2: ld returned 1 exit status
    make[2]: *** [libwacomxi.la] Error 1
    make[2]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/wacomxi'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src'
    make: *** [all-recursive] Error 1
    [root@HOSTLOCAL linuxwacom-0.7.9-11]#

     
  • Antonio Trueba

    Antonio Trueba - 2008-04-21

    Logged In: YES
    user_id=544332
    Originator: NO

    About screen rotation issues, I agree there's something missing in linuxwacom or even X itself. By running xrandr alone everything but the tablet is rotated (that is, desktop and any other mice), but tablet seems to ignore the change. Maybe a better approach would be to have xrandr modify linuxwacom settings, so it takes care of everything related to screen rotations. But again, maybe xrandr is doing its job OK and it's linuxwacom the one ignoring the new layout.

    Anyway, the xorg.conf snippet I pasted before is working nicely for me (haven't tested the eraser, though). Just notice that you only need to specify parameters for the first wacom device declared, and refer to that same device in the rotation script.

     
  • Zappacky

    Zappacky - 2008-04-21

    Logged In: YES
    user_id=1039856
    Originator: NO

    to the anonymous that has a problem with libXi:

    Your question was answered last time you asked it. To quote:

    [begin]
    You are missing the file /usr/lib/libXi.a. I have no idea what distro you
    are using, but in debian, the relevant package name is "libxi-dev", so I
    would look for something similar. Check your distro's package manager.

    Note: This is totally unrelated to this bug, this patch did not touch the
    "src/util" folder, so this build problem is not a problem related to this
    patch.
    [end]

    Atrueba, xrandar is not a linuxwacom utility, so if anything is missing it's on linuxwacom's end. (although I wasn't aware that XrandR send any form of message to /any/ input devices)

    Rotation should work with xsetwacom set TabletPCStylus Rotation CW, but this screws up the eraser piece of the device (although I haven't looked at the new patch on the mailing list yet).

     
  • Ian MacArthur

    Ian MacArthur - 2008-04-21

    Logged In: YES
    user_id=772043
    Originator: NO

    To @nobody: "Help!Please help! What is this? Arrrrrrghhhhhhh?
    I moved from vista to debian now to fedora 8 x86-64 and I cannot make it
    work. I get a problem at every step? ARrrrrrrrrrrggggggggh"

    You need to install the developer packages that are used by linuxwacom when it builds - in this case it looks like you are missing the dev packages for Xinput.
    FWIW, I've had very few problems (so far!) with my tablet and ubuntu 8.04 (hardy) - so that might be a nice place for you to start from. Also, be advised that if you are unfamiliar with the linux build process (as you appear to be) then you should stay away from the x86-64 builds, as they tend to be less mature than the 32-bit builds, and a lot of the things you might want (i.e. many firefox plugins) will not work under x86-64 without a lot of work on your part.
    Really, install a 32-bit ubuntu hardy build and be happy.

    zappacky & atrueba : My observations on screen rotation go like this.
    Rotating the screen with xranadr seems to be working fine (I'm trigerring the rotations manually, not via an acpi script.) However, this does not rotate the co-ordinates of the wacom tools...
    So I use xsetwacom to set the stylus CCW (my scripts rotate left rather than right - does it matter?)
    and that seems fine.
    Then I use xsetwacom again to rotate the touchscreen CCW, and that seems fine.
    Then I use xsetwacom again to rotate the eraser CCW, and things start to get a bit odd...

    I haven't looked into this in detail, but there's something about rotating the eraser tool that seems to mess *something* up somewhere... Or maybe I'm just doing it wrong...

    Also - how does the gimp handle it's screen co-ordinates? If you start the gimp in (say) portrait mode, then switch to landscape (with the gimp still running) then even once you reset your tool coordinates, the gimp doesn't handle the tools correctly - you need to quit the gimp and restart it to get things nice again. Or is that just on my setup? Other tools (well, cellwriter, anyway) seem to handle the rotation OK.

    And now, heading *way* OT: Has anyone looked at multi-touch, or even just double-touch? Can the wacom touchscreen report double (or multi) touches? And if so - how do we use that information in X apps?

     
  • Nobody/Anonymous

    Logged In: NO

    hmm, I fixed the libxi libwacom issue.H
    Here is the make output

    [root@HOSTLOCAL linuxwacom-0.7.9-11]# make
    Making all in src
    make[1]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src'
    Making all in .
    make[2]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src'
    make[2]: Nothing to be done for `all-am'.
    make[2]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src'
    Making all in wacomxi
    make[2]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/wacomxi'
    /bin/sh ../../libtool --tag=CC --mode=link gcc -Wall -g -O2 -D__amd64__ -I/usr/include -o libwacomxi.la -rpath /usr/local/lib/TkXInput -no-undefined wacomxi.lo -L/usr/lib64 -lX11 -lXi
    gcc -shared .libs/wacomxi.o -L/usr/lib64 -lX11 -lXi -Wl,-soname -Wl,libwacomxi.so.0 -o .libs/libwacomxi.so.0.0.0
    (cd .libs && rm -f libwacomxi.so.0 && ln -s libwacomxi.so.0.0.0 libwacomxi.so.0)
    (cd .libs && rm -f libwacomxi.so && ln -s libwacomxi.so.0.0.0 libwacomxi.so)
    ar cru .libs/libwacomxi.a wacomxi.o
    ranlib .libs/libwacomxi.a
    creating libwacomxi.la
    (cd .libs && rm -f libwacomxi.la && ln -s ../libwacomxi.la libwacomxi.la)
    make[2]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/wacomxi'
    Making all in util
    make[2]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/util'
    if /bin/sh ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wacomcfg.lo -MD -MP -MF ".deps/wacomcfg.Tpo" -c -o wacomcfg.lo wacomcfg.c; \ then mv -f ".deps/wacomcfg.Tpo" ".deps/wacomcfg.Plo"; else rm -f ".deps/wacomcfg.Tpo"; exit 1; fi
    mkdir .libs
    gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wacomcfg.lo -MD -MP -MF .deps/wacomcfg.Tpo -c wacomcfg.c -fPIC -DPIC -o .libs/wacomcfg.o
    gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wacomcfg.lo -MD -MP -MF .deps/wacomcfg.Tpo -c wacomcfg.c -o wacomcfg.o >/dev/null 2>&1
    /bin/sh ../../libtool --tag=CC --mode=link gcc -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -o libwacomcfg.la -rpath /usr/local/lib -no-undefined -version-info 0:1:0 wacomcfg.lo -L/usr/lib64 -lX11 -lXi
    gcc -shared .libs/wacomcfg.o -L/usr/lib64 -lX11 -lXi -Wl,-soname -Wl,libwacomcfg.so.0 -o .libs/libwacomcfg.so.0.0.1
    (cd .libs && rm -f libwacomcfg.so.0 && ln -s libwacomcfg.so.0.0.1 libwacomcfg.so.0)
    (cd .libs && rm -f libwacomcfg.so && ln -s libwacomcfg.so.0.0.1 libwacomcfg.so)
    ar cru .libs/libwacomcfg.a wacomcfg.o
    ranlib .libs/libwacomcfg.a
    creating libwacomcfg.la
    (cd .libs && rm -f libwacomcfg.la && ln -s ../libwacomcfg.la libwacomcfg.la)
    if gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wacdump.o -MD -MP -MF ".deps/wacdump.Tpo" -c -o wacdump.o wacdump.c; \ then mv -f ".deps/wacdump.Tpo" ".deps/wacdump.Po"; else rm -f ".deps/wacdump.Tpo"; exit 1; fi
    if gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wacscrn.o -MD -MP -MF ".deps/wacscrn.Tpo" -c -o wacscrn.o wacscrn.c; \ then mv -f ".deps/wacscrn.Tpo" ".deps/wacscrn.Po"; else rm -f ".deps/wacscrn.Tpo"; exit 1; fi
    if gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wactablet.o -MD -MP -MF ".deps/wactablet.Tpo" -c -o wactablet.o wactablet.c; \ then mv -f ".deps/wactablet.Tpo" ".deps/wactablet.Po"; else rm -f ".deps/wactablet.Tpo"; exit 1; fi
    if gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wacserial.o -MD -MP -MF ".deps/wacserial.Tpo" -c -o wacserial.o wacserial.c; \ then mv -f ".deps/wacserial.Tpo" ".deps/wacserial.Po"; else rm -f ".deps/wacserial.Tpo"; exit 1; fi
    if gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wacusb.o -MD -MP -MF ".deps/wacusb.Tpo" -c -o wacusb.o wacusb.c; \ then mv -f ".deps/wacusb.Tpo" ".deps/wacusb.Po"; else rm -f ".deps/wacusb.Tpo"; exit 1; fi
    /bin/sh ../../libtool --tag=CC --mode=link gcc -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -o wacdump wacdump.o wacscrn.o wactablet.o wacserial.o wacusb.o -lncurses
    gcc -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -o wacdump wacdump.o wacscrn.o wactablet.o wacserial.o wacusb.o -lncurses
    if gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT xidump.o -MD -MP -MF ".deps/xidump.Tpo" -c -o xidump.o xidump.c; \ then mv -f ".deps/xidump.Tpo" ".deps/xidump.Po"; else rm -f ".deps/xidump.Tpo"; exit 1; fi
    /bin/sh ../../libtool --tag=CC --mode=link gcc -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -o xidump -L/usr/lib64 -lX11 -lXi -lm xidump.o wacscrn.o -lncurses
    gcc -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -o xidump xidump.o wacscrn.o -L/usr/lib64 -lX11 -lXi -lm -lncurses
    if gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT xsetwacom.o -MD -MP -MF ".deps/xsetwacom.Tpo" -c -o xsetwacom.o xsetwacom.c; \ then mv -f ".deps/xsetwacom.Tpo" ".deps/xsetwacom.Po"; else rm -f ".deps/xsetwacom.Tpo"; exit 1; fi
    if gcc -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I../../src/include -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -MT wcmAction.o -MD -MP -MF ".deps/wcmAction.Tpo" -c -o wcmAction.o wcmAction.c; \ then mv -f ".deps/wcmAction.Tpo" ".deps/wcmAction.Po"; else rm -f ".deps/wcmAction.Tpo"; exit 1; fi
    /bin/sh ../../libtool --tag=CC --mode=link gcc -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -o xsetwacom xsetwacom.o wcmAction.o libwacomcfg.la
    gcc -Wall -pedantic -g -O2 -D__amd64__ -I/usr/include -o .libs/xsetwacom xsetwacom.o wcmAction.o ./.libs/libwacomcfg.so -L/usr/lib64 -lX11 -lXi -Wl,--rpath -Wl,/usr/local/lib
    creating xsetwacom
    make[2]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/util'
    Making all in xdrv
    make[2]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/xdrv'
    gcc -MM -g -O2 -D__amd64__ -I/usr/include ./xf86Wacom.c ./wcmSerial.c ./wcmUSB.c ./wcmISDV4.c ./wcmXCommand.c ./wcmCommon.c ./wcmCompat.c ./wcmConfig.c ./wcmFilter.c > .depend
    ./xf86Wacom.c:587:41: error: missing binary operator before token "("
    ./xf86Wacom.c:660:41: error: missing binary operator before token "("
    ./wcmCommon.c:79:41: error: missing binary operator before token "("
    ./wcmCommon.c:94:41: error: missing binary operator before token "("
    ./wcmCommon.c:514:41: error: missing binary operator before token "("
    ./wcmCommon.c:534:41: error: missing binary operator before token "("
    ./wcmCommon.c:626:41: error: missing binary operator before token "("
    ./wcmCommon.c:644:41: error: missing binary operator before token "("
    ./wcmCommon.c:741:41: error: missing binary operator before token "("
    ./wcmCommon.c:768:41: error: missing binary operator before token "("
    ./wcmCommon.c:1458:41: error: missing binary operator before token "("
    ./wcmConfig.c:88:41: error: missing binary operator before token "("
    make[2]: Nothing to be done for `all'.
    make[2]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/xdrv'
    Making all in 2.6.24
    make[2]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24'
    cp -f ../2.6.19/wacom_wac.c .
    cp -f ../2.6.19/wacom.h .
    cp -f ../2.6.22/wacom_wac.h .
    Building linuxwacom drivers for 2.6 kernel.
    ***Note: Drivers not enabled as modules in your kernel config but requested through configure are NOT built
    make -C /lib/modules/2.6.24.4-64.fc8/source M=/home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24
    make[3]: Entering directory `/usr/src/kernels/2.6.24.4-64.fc8-x86_64'
    LD /home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24/built-in.o
    CC [M] /home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24/wacom_wac.o
    CC [M] /home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24/wacom_sys.o
    LD [M] /home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24/wacom.o
    Building modules, stage 2.
    MODPOST 1 modules
    CC /home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24/wacom.mod.o
    LD [M] /home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24/wacom.ko
    make[3]: Leaving directory `/usr/src/kernels/2.6.24.4-64.fc8-x86_64'
    make[2]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src/2.6.24'
    make[1]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11/src'
    make[1]: Entering directory `/home/r00t/Desktop/linuxwacom-0.7.9-11'
    make[1]: Nothing to be done for `all-am'.
    make[1]: Leaving directory `/home/r00t/Desktop/linuxwacom-0.7.9-11'

     
  • Nobody/Anonymous

    Logged In: NO

    Output before make
    fedora 8 x86-64

    ----------------------------------------
    BUILD ENVIRONMENT:
    architecture - x86_64-redhat-linux
    linux kernel - yes 2.6.24
    module versioning - no
    kernel source - yes /lib/modules/2.6.24.4-64.fc8/source
    XFree86 source - no
    Xorg SDK - no
    XSERVER64 - yes
    dlloader - yes
    XLib - yes /usr/lib64
    TCL - yes /usr/include
    TK - yes /usr/include
    ncurses - yes

    BUILD OPTIONS:
    wacom.o - yes
    wacdump - yes
    xidump - yes
    libwacomcfg - yes
    libwacomxi - yes
    xsetwacom - yes
    hid.o - no
    usbmouse.o - no
    evdev.o - no
    mousedev.o - no
    input.o - no
    wacom_drv.so - no /usr/lib64/xorg/modules/input
    wacom_drv.o - no
    wacom*_drv quirks -
    ----------------------------------------

     
  • Nobody/Anonymous

    Logged In: NO

    First I patched and got this
    fedora 8 x86-64

    [root@HOSTLOCAL linuxwacom-0.7.9-11]# patch -p1 < '/home/r00t/Desktop/linuxwacom-0.7.9-11/f3d5b9e73.patch'
    (Stripping trailing CRs from patch.)
    patching file src/2.6.19/wacom.h
    (Stripping trailing CRs from patch.)
    patching file src/2.6.19/wacom_wac.c
    (Stripping trailing CRs from patch.)
    patching file src/2.6.22/wacom_wac.h
    (Stripping trailing CRs from patch.)
    patching file src/2.6.24/wacom_sys.c
    [root@HOSTLOCAL linuxwacom-0.7.9-11]#

     
  • Nobody/Anonymous

    Logged In: NO

    hii there i have Gateway c-120x tablet with usb wacom penable,i am trying since 2 weeks to get it work with ubuntu 8.04 but no luck.

     
  • Nobody/Anonymous

    Logged In: NO

    I have been trying this since the first day. But it doesnt work.
    Now, I have fixed the libwacom, libxi.a then I am facing another problem at sudo make install.
    Patch works fine
    make works fine
    sudo make install doesnt work.-
    I moved from Vista to Debian, now using fedora 8 x86-64.
    Arrrrrrrrrrghhhh, what my machine has different configuration.
    ARRRRRRRRRRRRRRRGHHHHH Please help before I go back to Vista.
    It is reported elsewhere that it works with x86-64.

     
  • Ian MacArthur

    Ian MacArthur - 2008-04-22

    Logged In: YES
    user_id=772043
    Originator: NO

    @nobody with fedora 8 x86-64: It looks from your configure output and the build log you posted, as if you *still* haven't installed all the dev packages needed to build linuxwacom.
    Please, *try* and get them installed, in particular the Xorg SDK is missing from your system, and you will need that.
    But please, this thread probably is the wrong place for you to learn how to program... Perhaps you should wait until the patch is formally released, so you won't have to deal with this, if you don't have the necessary skills?

    @nobody with Gateway c-120x: No idea, never seen one of these, don't know what interfaces it has - anybody?

     
  • Nobody/Anonymous

    Logged In: NO

    me with gateway c-120x,
    its 12.1 inch wide screen
    Bus 001 Device 004: ID 056a:0093 Wacom Co., Ltd
    its touch and penable wacom digitizer

    thanks

     
  • Nobody/Anonymous

    Logged In: NO

    re: ID 056a:0093

    Yes, that looks like the right device - although I'd expect to see 2 entries, one @ 0x90 and one @ 0x93.

    I think (and I may have this the wrong way round) that the 0x90 entry is for the stylus/digitizer interface and the 0x93 entry is for the touchscreen interface (i.e. when you use your finger rather than the stylus.) At least, that's what my TX2050 has. It's a 12.1" LCD panel with 1200x800 resolution.

    The Asus R1E/F devices only have one entry, which I think (anyone confirm?) is just the touchscreen entry, so that may be what your Gateway device has.

    The patch is reported to work correctly on the R1F, so I guess it can work for you...?

     
  • Nobody/Anonymous

    Logged In: NO

    Bus 004 Device 001: ID 0000:0000
    Bus 003 Device 002: ID 046d:c50e Logitech, Inc. MX-1000 Cordless Mouse Receiver
    Bus 003 Device 001: ID 0000:0000
    Bus 005 Device 002: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader
    Bus 005 Device 001: ID 0000:0000
    Bus 002 Device 002: ID 056a:0093 Wacom Co., Ltd
    Bus 002 Device 001: ID 0000:0000
    Bus 001 Device 001: ID 0000:0000

    that is my lsusb

    Willyboy666 (gateway c-120x)

     
  • Kevin Shepherd

    Kevin Shepherd - 2008-04-26

    Logged In: YES
    user_id=1900870
    Originator: NO

    Thank you zappacky for fixing this for all of us.
    Here is my install log for an Asus R1E running Ubuntu v8.04 x86_64,
    in the hope that it will help others with similar machines.

    1) Downloaded linuxwacom-0.7.9-11.tar.bz2 from:
    http://sourceforge.net/project/downloading.php?groupname=linuxwacom&filename=linuxwacom-0.7.9-11.tar.bz2
    and zappacky's latest patch from:
    http://linuxwacom.pastebin.com/f3d5b9e73

    2) Unzipped the archive, and applied the patch:
    tar -xjf linuxwacom-0.7.9-11.tar.bz2
    cd linuxwacom-0.7.9-11
    patch -p1 < ../f3d5b9e73.txt

    3) Configure the build:
    ./configure --enable-wacom

    ----------------------------------------
    BUILD ENVIRONMENT:
    architecture - x86_64-linux-gnu
    linux kernel - yes 2.6.24
    module versioning - no
    kernel source - yes /lib/modules/2.6.24-16-generic/build
    XFree86 source - no
    Xorg SDK - yes /usr/include/xorg
    XSERVER64 - yes
    dlloader - yes
    XLib - yes /usr/lib
    TCL - yes /usr/include/tcl8.4
    TK - yes /usr/include/tcl8.4
    ncurses - yes

    BUILD OPTIONS:
    wacom.o - yes
    wacdump - yes
    xidump - yes
    libwacomcfg - yes
    libwacomxi - yes
    xsetwacom - yes
    hid.o - no
    usbmouse.o - no
    evdev.o - no
    mousedev.o - no
    input.o - no
    wacom_drv.so - yes /usr/lib/xorg/modules/input
    wacom_drv.o - no
    wacom*_drv quirks - libc-wrapper tablet-screen-scaling IsXExtensionPointer key-events dixScreenOrigins
    ----------------------------------------

    If you get any "no"s above where I have "yes", then search synaptic package manager for
    the relevant packages.

    4) Build:
    make

    5) Test:
    cd src/2.6.24

    /sbin/rmmod wacom
    ERROR: Module wacom does not exist in /proc/modules

    /sbin/insmod ./wacom.ko

    If nothing happens, then it worked!
    Check it by looking at:
    tail /var/log/messages
    ...
    Apr 26 13:00:46 BSJohnsonVI kernel: [ 825.876523] input: Wacom ISDv4 USB as /devices/pci0000:00/0000:00:1a.0/usb1/1-2/1-2:1.0/input/input9
    Apr 26 13:00:46 BSJohnsonVI kernel: [ 825.929284] /root/wacom_tablet/linuxwacom-0.7.9-11/src/2.6.24/wacom_sys.c: Got bad report from TabletPC, may not work properly
    Apr 26 13:00:46 BSJohnsonVI kernel: [ 825.929307] usbcore: registered new interface driver wacom
    Apr 26 13:00:46 BSJohnsonVI kernel: [ 825.929309] /root/wacom_tablet/linuxwacom-0.7.9-11/src/2.6.24/wacom_sys.c: v1.46-pc0.2:USB Wacom Graphire and Wacom Intuos tablet driver
    Apr 26 13:00:46 BSJohnsonVI logger: device input9 is bound to the driver
    Apr 26 13:00:46 BSJohnsonVI logger: must rebind

    And by looking at:
    cat /proc/bus/input/devices | more
    ...
    I: Bus=0003 Vendor=056a Product=0090 Version=013d
    N: Name="Wacom ISDv4 USB"
    P: Phys=
    S: Sysfs=/devices/pci0000:00/0000:00:1a.0/usb1/1-2/1-2:1.0/input/input8
    U: Uniq=
    H: Handlers=mouse3 event8
    B: EV=b
    B: KEY=c03 0 0 0 0 0
    B: ABS=10001000003

    6) Add xorg.conf snippet:
    Note that the event numbers e.g. /dev/input/event8 are probably different
    on your machine, to get the correct numbers, look at /proc/bus/input/devices
    and note the handlers for Wacom devices

    File is at: /etc/X11/xorg.conf
    Section "InputDevice"
    Identifier "TabletPCStylus"
    Driver "wacom"
    Option "ForceDevice" "ISDV4"
    Option "Type" "stylus"
    Option "SendCoreEvents" "true"
    Option "Device" "/dev/input/event8"
    Option "TopX" "0"
    Option "TopY" "0"
    Option "BottomX" "26365"
    Option "BottomY" "16488"
    EndSection

    Section "InputDevice"
    Identifier "TabletPCStylus3"
    Driver "wacom"
    Option "ForceDevice" "ISDV4"
    Option "Type" "eraser"
    Option "SendCoreEvents" "true"
    Option "Device" "/dev/input/event8"
    Option "TopX" "0"
    Option "TopY" "0"
    Option "BottomX" "26365"
    Option "BottomY" "16488"
    EndSection

    Also add the following two lines to Section "ServerLayout"

    InputDevice "TabletPCStylus"
    InputDevice "TabletPCStylus3"

    7) Install:
    This did not work for me:
    sudo make install

    So I did this:
    > cd linuxwacom-0.7.9-11/src/2.6.24
    > locate wacom.ko
    /lib/modules/2.6.24-16-generic/kernel/drivers/input/tablet/wacom.ko
    > /sbin/rmmod wacom
    > mv /lib/modules/2.6.24-16-generic/kernel/drivers/input/tablet/wacom.ko ../../../wacom.original.ko
    > mv wacom.ko /lib/modules/2.6.24-16-generic/kernel/drivers/input/tablet/wacom.ko
    > depmod -e
    > modprobe wacom
    Then reboot.

    After that it worked but with a large offset.
    8) Callibrate ( you may not need to if you have no offset between the pen and the cursor)
    None of wacomcpl, xsetwacom, wacdump worked for me
    but after messing around with ld libraries, etc I got
    wacdump to work enough to give me the max and min X and Y ( as seen in my xorg.conf above)

    9) Configure gimp:
    menu -> File -> Preferences -> Input Devices -> "Configure Extended Input Devices ..."
    Device: TabletPCStylus Mode: Screen
    Device: TabletPCStylus3 Mode: Screen

    That's It. I will post any further details that may be oif use, after trying it out for awhile.

    Again, thank you zappacky :-)

     
  • Kevin Shepherd

    Kevin Shepherd - 2008-04-26

    Logged In: YES
    user_id=1900870
    Originator: NO

    I suggest that you use:
    /dev/input/wacom
    instead of:
    /dev/input/eventX
    in your /etc/X11/xorg.conf
    as I have found that the device number hops around every reboot.
    This will only not work if you have more than one wacom device attached
    to your machine.

     
  • Nobody/Anonymous

    Logged In: NO

    Just a few minor additions to the notes from kshepherd1 - hopefully to aid anyone following his (very useful) recipe...

    At step 6, when editing your xorg.conf, I'd strongly suggest you DO NOT put in any Top/Botttom X/Y values until you have actually measured them for your specific system.
    In general the default values from the driver will be fine, and if you set values that are wrong and out of range for your setup, X might hang... It did for me! (Twice!)
    Now I just use the defaults, and the scaling is almost perfect, so you may not need to set Top/Bottom at all.

    At step 7: (quote)
    "Install:
    This did not work for me:
    sudo make install "

    Note: It *does* work, in so far as it installs the updated versions of wacomcpl, xsetwacom, etc... What it does not do (at least on ubuntu 8.04, probably others) is install the wacom.ko kernel module - so that (cp kernel module) step has to be done by hand as described. However, the "sudo make install" step is also required, as it *also* does things you need.

     
  • palladium

    palladium - 2008-04-28

    Logged In: YES
    user_id=2074565
    Originator: NO

    Big thanks to zappacky and kshepherd1 for the patches and the guide. I have an Asus R1F and Ubuntu 8.04. Followed kshepherd1's steps and the cursor is responding to the tablet but with offsets that I can't figure out. wacomcpl doesn't bring up any devices to calibrate but wacdump /dev/input/wacom does work (/dev/input/event9 also works).

    I've tried removing the Top/Bottom values in xorg.conf as nobody suggested but that doesn't seem to have any effect. I've also put in my own values by opening wacdump and then using the min and max x and y values shown when my stylus is in the top left and bottom right corners respectively. Still no noticeable changes after restarting X and restarting the machine.

    For the record, my offsets from wacdump are X:Y 102:195 and 28390:17645.

    Any advice?

     
  • Ian MacArthur

    Ian MacArthur - 2008-04-28

    Logged In: YES
    user_id=772043
    Originator: NO

    This probably is not relevant but here goes... At one point, I'd accidentaly mapped the wrong event in my xorg.conf (I think I mapped event0 rather than event10 - spot the typo...)

    Anyway, the cursor responded to the stylus, but was way off in position... But the fact it was responding at all threw me and it took a long time to spot what I'd done.

    So... I guess what I'm asking is if /dev/input/wacom is definitely mapped to the correct event on your system?

    What does /proc/bus/input/devices show for device 056A:0093 (I think that's the correct device for a R1F) and does the /dev/input/wacom symlink point at the correct event, etc....

    Other than that, I don't know what else to suggest. Sorry.

     
  • Nobody/Anonymous

    Logged In: NO

    I'm running Debian Etch with a custom built 2.6.22 kernel, I followed kshepherd1's latest post and everything compiled fine and installed properly (had to do the manual copy of the wacom.ko module, but no big deal). However doing a:
    modprobe wacom
    Gives me the following:
    FATAL: Error inserting wacom (...../tablet/wacom.ko): Unknown symbol in module, or unknown parameter (see dmesg)
    The dmesg output is:
    wacom: Unknown symbol input_dev_tpc

    I tried searching online, but couldn't even find one reference to the above. Any help would be greatly appreciated. If you need any further information from me, just let me know.

    Thanks.

     
<< < 1 2 3 4 5 6 > >> (Page 4 of 6)

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks